Bug 181434

Summary: [MAINTAINER-UPDATE] devel/p5-Sys-Virt: update to 1.1.1
Product: Ports & Packages Reporter: Frank Wall <fw>
Component: Individual Port(s)Assignee: Frederic Culot <culot>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Frank Wall 2013-08-20 17:10:01 UTC
- update devel/p5-Sys-Virt to version 1.1.1
- trim header

CHANGELOG:

- Add all new constants/apis in libvirt 1.1.1
- Add support for v3 of migration APIs
- Fix handling of sparse typed parameters
- Fix misc typos in docs

Fix: --- devel/p5-Sys-Virt/Makefile.orig     2013-07-10 18:23:40.000000000 +0200
+++ devel/p5-Sys-Virt/Makefile  2013-08-20 16:51:42.000000000 +0200
@@ -1,9 +1,7 @@
-# Created by:  Frank Wall <fw@moov.de>
-# $FreeBSD: devel/p5-Sys-Virt/Makefile 322709 2013-07-10 16:23:40Z bapt $
+# $FreeBSD$
 
 PORTNAME=      Sys-Virt
-PORTVERSION=   1.0.3
-PORTREVISION=  1
+PORTVERSION=   1.1.1
 CATEGORIES=    devel perl5
 MASTER_SITES=  CPAN
 PKGNAMEPREFIX= p5-
--- devel/p5-Sys-Virt/distinfo.orig     2013-03-20 07:41:52.000000000 +0100
+++ devel/p5-Sys-Virt/distinfo  2013-08-20 16:51:56.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (Sys-Virt-1.0.3.tar.gz) = 0ad25b7556275410ff3e4f4019c5a2041fffbe998dd53911db7b8dee0c894acb
-SIZE (Sys-Virt-1.0.3.tar.gz) = 92652
+SHA256 (Sys-Virt-1.1.1.tar.gz) = 161f93cf18219dcbb137d4736c4485b32640813fc495d5be557f58bbf44e6f48
+SIZE (Sys-Virt-1.1.1.tar.gz) = 94938


Patch attached with submission follows:
How-To-Repeat: -
Comment 1 Edwin Groothuis freebsd_committer 2013-08-20 17:10:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2013-08-20 17:59:54 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-08-26 09:29:46 UTC
Author: culot
Date: Mon Aug 26 08:29:38 2013
New Revision: 325375
URL: http://svnweb.freebsd.org/changeset/ports/325375

Log:
  - Update to 1.1.1 [1]
  - Add LICENSE (Artistic 1 & GPL 1)
  - Pet portlint(1) by using space instead of tab in Makefile's header
  
  Changes:	http://search.cpan.org/dist/Sys-Virt/Changes
  PR:		ports/181434 [1]
  Submitted by:	Frank Wall <fw@moov.de> (maintainer)

Modified:
  head/devel/p5-Sys-Virt/Makefile
  head/devel/p5-Sys-Virt/distinfo

Modified: head/devel/p5-Sys-Virt/Makefile
==============================================================================
--- head/devel/p5-Sys-Virt/Makefile	Mon Aug 26 06:48:36 2013	(r325374)
+++ head/devel/p5-Sys-Virt/Makefile	Mon Aug 26 08:29:38 2013	(r325375)
@@ -1,9 +1,8 @@
-# Created by:	Frank Wall <fw@moov.de>
+# Created by: Frank Wall <fw@moov.de>
 # $FreeBSD$
 
 PORTNAME=	Sys-Virt
-PORTVERSION=	1.0.3
-PORTREVISION=	1
+PORTVERSION=	1.1.1
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -11,6 +10,9 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	fw@moov.de
 COMMENT=	Perl bindings for libvirt
 
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
 BUILD_DEPENDS=	p5-XML-XPath>=0:${PORTSDIR}/textproc/p5-XML-XPath
 LIB_DEPENDS=	virt.1001:${PORTSDIR}/devel/libvirt
 RUN_DEPENDS=	p5-XML-XPath>=0:${PORTSDIR}/textproc/p5-XML-XPath

Modified: head/devel/p5-Sys-Virt/distinfo
==============================================================================
--- head/devel/p5-Sys-Virt/distinfo	Mon Aug 26 06:48:36 2013	(r325374)
+++ head/devel/p5-Sys-Virt/distinfo	Mon Aug 26 08:29:38 2013	(r325375)
@@ -1,2 +1,2 @@
-SHA256 (Sys-Virt-1.0.3.tar.gz) = 0ad25b7556275410ff3e4f4019c5a2041fffbe998dd53911db7b8dee0c894acb
-SIZE (Sys-Virt-1.0.3.tar.gz) = 92652
+SHA256 (Sys-Virt-1.1.1.tar.gz) = 161f93cf18219dcbb137d4736c4485b32640813fc495d5be557f58bbf44e6f48
+SIZE (Sys-Virt-1.1.1.tar.gz) = 94938
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Frederic Culot freebsd_committer 2013-08-26 09:29:51 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!